Bug 1423367 - missing features
Summary: missing features
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: librdkafka
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radovan Sroka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-17 06:48 UTC by Remi Collet
Modified: 2017-04-01 16:56 UTC (History)
2 users (show)

Fixed In Version: librdkafka-0.9.4-1.fc25 librdkafka-0.9.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 18:21:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Remi Collet 2017-02-17 06:48:17 UTC
Missing dependencies:
    BuildRequires:  openssl-devel
    BuildRequires:  cyrus-sasl-devel  
    BuildRequires:  lz4-devel

So related features:
    --enable-lz4 \
    --enable-ssl \
    --enable-sasl

FYI this package is available in my repo for some time (including EL branches)
See https://github.com/remicollet/remirepo/blob/master/librdkafka/librdkafka.spec
and https://github.com/remicollet/remirepo/issues/65 (reported by upstream)

Comment 1 Remi Collet 2017-02-17 14:15:31 UTC
Notice, it seems --enable-lz4 is new feature of upcoming 0.9.4

Comment 2 Fedora Update System 2017-03-11 13:06:20 UTC
librdkafka-0.9.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea111b0657

Comment 3 Fedora Update System 2017-03-11 13:06:54 UTC
librdkafka-0.9.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-747a1d8dbd

Comment 4 Fedora Update System 2017-03-11 16:23:19 UTC
librdkafka-0.9.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea111b0657

Comment 5 Fedora Update System 2017-03-13 00:20:54 UTC
librdkafka-0.9.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-747a1d8dbd

Comment 6 Fedora Update System 2017-03-23 18:21:26 UTC
librdkafka-0.9.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-04-01 16:56:20 UTC
librdkafka-0.9.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.